/* fly-sc-tl
four sides clear, radius border, text align left
*/

/* mobile */
/*first level menu arrow*/
.header-constrained .mega-menu-open + ul > li > a > span{
    float: none !important;
    padding: 0 4px !important;     
}  

.header-constrained .mega-menu-wrap:has(.mega-menu-open) > ul > li > a > .mega-indicator::after {
    font-size: 10px;
    /* bottom: -1.7px;  */
}  
/* nav mobile grid and flyout submenu */
.header-constrained .mega-menu-open + ul > li.mega-menu-flyout > ul > li > a,
.header-constrained .mega-menu-open + ul > li.mega-menu-grid > ul .mega-menu-column > ul > li > a{
    height: 35px !important;  
    line-height: 35px !important;  
    color: var(--contrast-lg) !important;
    width: fit-content !important;
    padding: 0 0 0 1.5rem !important;
} 

/* desktop */
.header-constrained .mega-menu-wrap:not(:has( .mega-menu-open)) li.mega-menu-item > a{
    color:  var(--contrast-lg) !important;
}
.header-constrained .mega-menu-wrap:not(:has( .mega-menu-open))  li.mega-menu-item > a:hover{
    color: color-mix(in srgb, var(--contrast-lg) 80%, transparent) !important;
} 
.header-constrained .mega-menu-wrap:not(:has( .mega-menu-open))  .mega-menu-flyout > ul > li > a{
    padding: 0 1.75rem !important;
} 

/* desktop flyout menu container settings */
.header-constrained #mega-menu-wrap-max_mega_menu_1:not(:has( .mega-menu-open)) #mega-menu-max_mega_menu_1 > li.mega-menu-flyout ul.mega-sub-menu{
    width: 12rem;
    margin-top: 4px;
    padding: 0px 0;
    border: 2px solid color-mix(in srgb,
                             var(--contrast-sm) 50%,
                             transparent 50%);
    border-radius: 14px;
    background-color: var(--bg-primary);
} 


/* box-shadow: 
    0px -1px 1px 0 color-mix(in srgb,
                             var(--contrast-sm) 40%,
                             transparent 60%) inset ,
     1px 0px 1px 0 color-mix(in srgb,
                             var(--contrast-sm) 40%,
                             transparent 60%) inset ,
    -1px 0px 1px 0 color-mix(in srgb,
                             var(--contrast-sm) 40%,
                             transparent 60%) inset ; */
    /* submenu position slightly left of parent container*/
    /* left: -1rem; */